Subject: [bug#40040] Resubmission of patch for Package Description for CRAN Package r-crochet

From: Naga Malleswari <[email-masked]>
Date: Fri, 20 Mar 2020 23:10:19 +0530

Hi

On 19/03/20 11:23 pm, Danny Milosavljevic wrote:

> Yes, you are correct. I have downloaded package description through 
> guix import cran -r <package>. This resulted expat licence.
>
> But its showing as MIT in the following link.
>
> https://cran.r-project.org/web/packages/crochet/
> Hmm, that looks better.  Weird.
>
> But just judging from https://github.com/agrueneberg/crochet , I wouldn't
> have thought that that was under MIT license.  The only mention there
> is in the DESCRIPTION file.  Is that enough for Guix?
>
>> The authors github page shows a file licence. Does it mean there is no
>> proper licensing applied for the package? In that case what should we do.
> Let's wait until someone knowledgeable in CRAN posts.

I have raised the issue and the author said that he followed CRAN
Licensing and included in the description.

https://github.com/agrueneberg/crochet/issues/9

In this case can the patch be approved.

>
> Could you open an issue on https://github.com/agrueneberg/crochet asking
> them to put an Expat license file into the project if that's their intention?
>
>

-- 
Regards
NagaMalli